<alltag version="0.1">
        <maintag tag = "01" name = "kernel">
                <subtag tag = "01" name = "perf">
                        <param name = "io_basic_info" arg1 = "life_time_typeA" arg2 = "life_time_typeB" arg3 = "pgpgin" arg4 = "pgpgout" arg5 = "inflight" />
                        <param name = "emcdrv_iowait" arg1 = "TC_high_threshold" arg2 = "TC_low_threshold" arg3 = "IO_time_consume" arg4 = "IO_threshold_cnt" arg5 = "FIO_thresh_cnt" arg6 = "FIO_thresh_cnt_add" arg7 = "TC_front" arg8 = "front_IO_cnt" arg9 = "enable" />
                        <param name = "monitor_scheduling" arg1 = "threshold" arg2 = "over_thresh_cnt" arg3 = "total_time" arg4 = "total_cnt" arg5 = "F_over_thresh_cnt" arg6 = "max_time" arg7 = "enable" />
                        <param name = "cpu_rt_info" arg1 = "total_cpu_count" arg2 = "high_threshold" arg3 = "low_threshold" arg4 = "total_rt_us" arg5 = "curr_rt_us" arg6 = "comm" arg7 = "max_exec_ns" arg8 = "HI_thresh_cnt" arg9 = "over_Hthresh_cnt" />
                        <param name = "mem_health_info" arg1 = "mem_size" arg2 = "mem_size_add" arg3 = "ion_zram_free" arg4 = "slab_mem_info" arg5 = "page_number" arg6 = "zram" arg7 = "order_page_info" arg8 = "page_alloc_fail" arg9 = "page_alloc_failAdd" />
                        <param name = "memory_process_info" arg1 = "reclaim_page" arg2 = "scan_page" arg3 = "threshold" arg4 = "H_thresh_cnt" arg5 = "L_thresh_cnt" arg6 = "time" />
                </subtag>
        </maintag>
        <maintag tag = "02" name = "init">
                <subtag tag = "01" name = "boot">
                        <param name = "boot" arg1 = "time" />
                </subtag>
                <subtag tag = "02" name = "selinux">
                        <param name = "init" arg1 = "time" />
                        <param name = "restore" arg1 = "time" />
                </subtag>
        </maintag>
        <maintag tag = "03" name = "bootanim">
                <subtag tag = "01" name = "bootanim">
                        <param name = "bootanim" arg1 = "time" arg2 = "file_path" />
                </subtag>
        </maintag>
        <maintag tag = "04" name = "zygote">
                <subtag tag = "01" name = "boot">
                        <param name = "boot" arg1 = "time" />
                </subtag>
                <subtag tag = "02" name = "preload">
                        <param name = "class" arg1 = "num" arg2 = "time" />
                        <param name = "resource" arg1 = "num" arg2 = "time" />
                </subtag>
        </maintag>
        <maintag tag = "05" name = "system_server">
                <subtag tag = "01" name = "boot">
                        <param name = "allservice" arg1 = "time" />
                        <param name = "dexopt" arg1 = "time" />
                        <param name = "fstrim" arg1 = "time" />
                        <param name = "launcher" arg1 = "start_time" />
                        <param name = "pms_ready" arg1 = "time" />
                        <param name = "pms_scan" arg1 = "time" arg2 = "num" />
                        <param name = "pms_scan_system" arg1 = "time" arg2 = "num" />
                        <param name = "pms_scan_data" arg1 = "time" arg2 = "num" />
                        <!--type 0: boot normal 1: boot from OTA 2: boot from factory or first boot-->
                        <param name = "boot_type" arg1 = "type" />
                </subtag>
                <subtag tag = "02" name = "watchdog">
                </subtag>
        </maintag>
        <maintag tag = "06" name = "app">
                <subtag tag = "01" name = "codeboot">
                        <param name = "total" arg1 = "packagename" arg2 = "uid" arg3 = "pid" arg4 = "time" />
                        <param name = "fork" arg1 = "uid"  arg2 = "pid" arg3 = "time" />
                        <param name = "attach" arg1 = "packagename" arg2 = "uid"  arg3 = "pid" arg4 = "time" />
                        <param name = "bind" arg1 = "packagename" arg2 = "uid"  arg3 = "pid" arg4 = "time" />
                        <param name = "launch" arg1 = "packagename" arg2 = "uid"  arg3 = "pid" arg4 = "time" />
                </subtag>
                <subtag tag = "02" name = "hotboot">
                        <param name = "total" arg1 = "packagename" arg2 = "uid" arg3 = "pid" arg4 = "time" />
                </subtag>
                <subtag tag = "03" name = "frame">
                        <param name = "block" arg1 = "packagename" arg2 = "viewname" arg3 = "janktype" arg4 = "janklevel" />
                </subtag>
                <subtag tag = "04" name = "anr">
                        <param name = "anr" arg1 = "packagename" arg2 = "uid" arg3 = "pid" arg4 = "reason" trace = "path" />
                </subtag>
                <subtag tag = "04" name = "crash">
                        <param name = "crash" arg1 = "packagename" arg2 = "uid" arg3 = "pid" arg4 = "reason" trace = "path" />
                </subtag>
        </maintag>
        <maintag tag = "07" name = "art">
                <subtag tag = "01" name = "oom">
                        <param name = "oom" arg1 = "packagename" arg2 = "heapsize" arg3 = "uid" arg4 = "pid" />
                </subtag>
                <subtag tag = "02" name = "block_gc">
                        <param name = "block_gc" arg1 = "packagename" arg2 = "pid" arg3 = "free_bytes" arg4 = "cost_time" />
                </subtag>
        </maintag>
        <maintag tag = "08" name = "media">
                <subtag tag = "01" name = "eeplayer">
                        <!--LOGPT("event_type 2 key1|value key2|value);-->
                        <param name = "abnormal_pts" arg1 = "event_type" arg2 = "count" arg3 = "key|value" />
                        <param name = "unsupported_stream" arg1 = "event_type" arg2 = "count" arg3 = "key|value" />
                        <param name = "decoder_abnormal" arg1 = "event_type" arg2 = "count" arg3 = "key|value" />
                        <param name = "first_frame_info" arg1 = "event_type" arg2 = "count" arg3 = "key|value" />
                        <param name = "resource_abnormal" arg1 = "event_type" arg2 = "count" arg3 = "key|value" />
                        <param name = "audio_video_async" arg1 = "event_type" arg2 = "count" arg3 = "key|value" />
                        <param name = "network_inaccessible" arg1 = "event_type" arg2 = "count" arg3 = "key|value" />
                        <param name = "start_buffering" arg1 = "event_type" arg2 = "count" arg3 = "key|value" />
                </subtag>
        </maintag>
        <maintag tag = "09" name = "tboost">
                <subtag tag = "03" name = "block">
                        <param name = "info" arg1 = "timestamp" arg2 = "appInfo" arg3 = "blockType" arg4 = "currentMsgInfo"
                        arg5 = "msgInfoForLatency" arg6 = "blockDuration" arg7 = "traceInfo"
                        arg8 = "kernelInfo" arg9 = "choreoJankInfo" arg10 = "activityLifeStyleInfo"/>
                </subtag>
        </maintag>
        <maintag tag = "09" name = "tboost">
                <subtag tag = "04" name = "appBootInfo">
                        <param name = "appBootInfo" arg1 = "callerPkgName" arg2 = "calleePkgName"
                        arg3 = "calleeComponent" arg4 = "bootType" arg5 = "isAutoStart" arg6 = "isAllow"
                        arg7 = "reason" arg8 = "count"/>
                </subtag>
                <subtag tag = "05" name = "boot">
                        <param name = "info" arg1 = "boot_type" arg2 = "init"
                        arg3 = "boot_animation" arg4 = "zygote" arg5 = "system_server" arg6 = "pms"
                        arg7 = "extra_data"/>
                </subtag>
                <subtag tag = "08" name = "appStartStats">
                        <param name = "info" arg1 = "start_time" arg2 = "component_name"
                        arg3 = "start_type" arg4 = "start_duration" arg5 = "versionname"/>
                </subtag>
        </maintag>

        <maintag tag = "11" name = "systemui">
                <subtag tag = "01" name = "multivisual">
                        <param name = "scene" arg1 = "eventType" arg2 = "timestamp" arg3 = "brand" arg4 = "packageName"/>
                </subtag>
        </maintag>

        <maintag tag = "12" name = "hdmi">
                <subtag tag = "01" name = "infos">
                        <param name = "infos" arg1 = "cec_devices" arg2 = "cec_message" arg3 = "amp_devices"/>
                </subtag>
        </maintag>
</alltag>
